package common

import "context"

type WsClient interface {
	GetCtx() context.Context
	WriteJson(data any, block bool) error
	WantResponse(requestId uint64, ch chan []byte)
	NewWantResponse(requestId uint64, msg []byte) error
	GetChannel() chan<- []byte
}
